function [f,w] = factor2(num)

w = 0;
fac = factor(num);
f = zeros(1,2);
lfac = length(fac);

switch lfac
case 1
    f(1) = ceil(sqrt(num));
    f(2) = floor(sqrt(num));
    if prod(f)<num, f(2) = f(2)+1; end
    w = 1;
case 2
    f = fac;    
otherwise
    per = perms(fac);
    dif = inf;
    for k = 1:size(per,1)
        for l = 1:floor(lfac/2)
            f1 = prod(per(k,1:l));
            f2 = prod(per(k,l+1:end));
            d = abs(f1-f2);
            if d<dif
                dif = d;
                f(1) = max([f1 f2]);
                f(2) = min([f1 f2]);
            end
        end
    end
%     switch mod(lfac,2)
%     case 0
%         ffac = fliplr(fac);
%         f(1) = prod(fac(1:2:end/2)) * prod(ffac(1:2:end/2));
%         f(2) = prod(fac(2:2:end/2)) * prod(ffac(2:2:end/2));
%     case 1
%         f(1) = prod(fac(1:2:end));
%         f(2) = prod(fac(2:2:end));
%     end
end