% gui_helphandle(Xfunc_name)

% 

% callback routines for help window

% scroll text (X=s) or close help window (X=e)

% (C) Klaus Lichtenegger, 2001



function gui_helphandle (ereignis)



func_name = ereignis(2:length(ereignis)); % retrieve function name

handle_name = [func_name,'_HANDLE'];      % handle variable

eval(['global ',handle_name]);            % make it global

eval(['HANDLE=',handle_name,';']);        % copy global to local



switch ereignis(1)

  

 case 's' % slider

    

    % find handle of help slider:

    %help_sld = gui_handle_query(HANDLE.uicontrol,'tag','hilfslaufleiste');

    uic_sld = HANDLE.uicontrol;

    uic_sld = gui_handle_query(uic_sld,'style','slider','tag','hilfslaufleiste');

    aktval = floor(get(uic_sld, 'value'));

    

    % get help text and other important values:

    help_txt = gui_handle_query(HANDLE.uicontrol,'tag','helptext');

    helptext = getappdata(help_txt, 'helptext');

    helpsize = getappdata(help_txt, 'helpsize');

    helpline = getappdata(help_txt, 'helpline');

    

    % calculate lines to be displayed

    val = helpsize-helpline-aktval+1;

    akttext = helptext(val:val+helpline);

    

    % display text

    set(help_txt, 'String', akttext);



 case 'e' % end button

    

    % get handle of help window

    fig_han = gui_handle_query(HANDLE.figure,'tag','*help*');

    % make help window invisible

    set(fig_han, 'visible', 'off');

    

    % get handle of help-button

    uic_han = HANDLE.uicontrol;

    uic_han = gui_handle_query(uic_han,'style','pushbutton','tag','*help*');

    % remove 'OFF' from button

    gui_remove_name(uic_han,'off',' ','e','string');

    

end % switch Ereignis



























