function [rmat] = rmborder(mat,lines)

if nargin<2, lines=1; end

s_mat = size(mat);
n_mat = ndims(mat);
if n_mat~=2, error('Works only for 2-D Arrays'); end
switch length(lines)
case 1
    lin = ones(1,2*n_mat)*lines;
case 2*n_mat
    lin = lines;
otherwise
    error('Wrong dimension of lines');
end

rmat = mat(lin(1)+1:end-lin(2),lin(3)+1:end-lin(4));